## user-mode-linux 6.1um4

=== debian/changelog ===
user-mode-linux (6.1um4) unstable; urgency=medium

  * [9e4f48c] Drop empty d/patches/series file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 17 Feb 2023 18:46:23 +0530

user-mode-linux (6.1um3) unstable; urgency=medium

  * [d32e7aa] Fix the incorrect conditional syntax

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 17 Feb 2023 15:19:59 +0530

user-mode-linux (6.1um2) unstable; urgency=medium

  * [2fff0ad] Generate manual page from upstream kernel documentation

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 20 Jan 2023 17:29:23 +0530

user-mode-linux (6.1um1) unstable; urgency=medium

  [ Debian Janitor ]
  * [0f8a68d] Remove constraints unnecessary since buster (oldstable)
  * [df4b211] Use secure URI in Homepage field.
  * [dd8c734] Bump debhelper from old 12 to 13.
  * [a43925c] Set debhelper-compat version in Build-Depends.
  * [935bb81] Update standards version to 4.6.1, no changes needed.

  [ Ritesh Raj Sarraf ]
  * [325c79f] Prepare uml 6.1
  * [7d2bd4b] Update UML configs for Linux 6.1

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 14 Jan 2023 20:45:06 +0530

user-mode-linux (6.0um1) unstable; urgency=medium

  * [d91f3bd] Prepare for Linux 6.0
  * [e2f4aab] Update UML configs to Linux 6.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 21 Oct 2022 16:57:20 +0530

user-mode-linux (5.19um1) unstable; urgency=medium

  * [7fd29e3] Prepare for Linux 5.19 (Closes: #1020007)
  * [f77f369] Drop patches, merged upstream
  * [2eaac0c] Only invoke quilt if d/p/series is present
  * [eeccb32] Update UML configs for 5.19

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 30 Sep 2022 20:38:23 +0530

user-mode-linux (5.18um1) unstable; urgency=medium

  * [eb5c519] Prepare Linux UML 5.18
  * [0948478] Drop patch d/p/06-um-Fix-WRITE_ZEROES-in-the-UBD-Driver.patch
  * [b0129b2] Update UML configs for Linux 5.18

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 24 Jun 2022 19:13:42 +0530

user-mode-linux (5.17um1) unstable; urgency=medium

  * [343f7d5] Prepare Linux 5.17
  * [adda22f] Drop patch 05_fix_static_build.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 02 May 2022 14:25:47 +0530

user-mode-linux (5.16um1) unstable; urgency=medium

  [ Walter Lozano ]
  * [d1cdd21] Disable VMAP_STACK

  [ Ritesh Raj Sarraf ]
  * [fd84c2a] Prepare for Linux 5.16 (Closes: #1005443)
  * [6e35b4e] Update UML configs to Linux 5.16.7

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 13 Feb 2022 20:05:32 +0530

user-mode-linux (5.15um2) unstable; urgency=medium

  [ Frédéric Danis ]
  * [194182c] Add patch to fix WRITE_ZEROES in the UBD Driver

  [ Ritesh Raj Sarraf ]
  * [5461e10] Refresh the patch
  * [c7993ad] Update Linux UML config files

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 31 Jan 2022 16:01:39 +0530

user-mode-linux (5.15um1) unstable; urgency=medium

  * [05525b8] Prepare update to Linux 5.15
  * [3fadec1] Update configs to 5.15

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 24 Nov 2021 12:57:56 +0530

user-mode-linux (5.14um1) unstable; urgency=medium

  * [ea5aed5] Prepare for 5.14 Linux update
  * [a3ad117] Drop patches. May not be relevant any more
  * [5911d78] Update Linux configs to 5.14 (Closes: #995263)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 08 Oct 2021 21:25:11 +0530
