=== debian/control ===
Source: user-mode-linux
Section: kernel
Priority: optional
Maintainer: User Mode Linux Maintainers <team+uml@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), quilt, linux-source-6.1, python3-docutils, xz-utils, m4, kmod, libvdeplug-dev | libvdeplug2-dev, libpcap-dev, bc, dpkg (>= 1.16.2), libssl-dev, bison, flex, gcc-multilib
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/uml-team/user-mode-linux.git
Vcs-Browser: https://salsa.debian.org/uml-team/user-mode-linux
Homepage: https://user-mode-linux.sourceforge.net/


Package: user-mode-linux
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${Built-Using}
Recommends: uml-utilities
Suggests: x-terminal-emulator, rootstrap, user-mode-linux-doc, slirp, vde2
Description: User-mode Linux (kernel)
 User-mode Linux (UML) is a port of the Linux kernel to its own system
 call interface.  It provides a kind of virtual machine, which runs
 Linux as a user process under another Linux kernel.  This is useful
 for kernel development, sandboxes, jails, experimentation, and many
 other things.
 .
 This package contains the kernel itself, as an executable program,
 and the associated kernel modules.
