## user-mode-linux 6.12um1

=== debian/changelog ===
user-mode-linux (6.12um1) unstable; urgency=medium

  * [0aa01c3] Prepare Linux 6.12 update (Closes: #1091875)
  * [b339368] Update UML configs to Linux 6.12

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 13 Jan 2025 20:01:43 +0530

user-mode-linux (6.11um1) unstable; urgency=medium

  * [c98ea3c] Prepare UML 6.11 update
  * [a6cc029] Update UML configs to 6.11

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Oct 2024 19:53:13 +0530

user-mode-linux (6.10um1) unstable; urgency=medium

  * [afe46ce] Prepare for UML 6.10
  * [c4638ef] Update UML configs to 6.10

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 13 Aug 2024 20:30:36 +0530

user-mode-linux (6.9um1) unstable; urgency=medium

  * [d383bd1] Prepare for UML 6.9
  * [a65b162] Update UML configs to Linux 6.9

 -- Ritesh Raj Sarraf <ritesh.sarraf@collabora.com>  Wed, 31 Jul 2024 14:31:24 +0530

user-mode-linux (6.8um1) unstable; urgency=medium

  * [40da188] Update User Mode Linux to Linux 6.8

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 12 Jun 2024 19:50:01 +0530

user-mode-linux (6.7um2) unstable; urgency=medium

  * [1115962] Read host architecture from dpkg-architecture.
    Also, ensure to use the correct architecture string for amd64 a.k.a
    x86_64

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 01 May 2024 16:24:28 +0530

user-mode-linux (6.7um1) unstable; urgency=medium

  * [d8f7a45] Initial prep for update to Linux 6.7
  * [80a8bd7] Update UML configs to Linux 6.7
  * [76ee299] Manually fix i386 UML config file
  * [2a75980] Fix long standing build hang issue with i386
  * [1f2164f] Simplify oldconfig with a single target

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 30 Apr 2024 20:24:12 +0530

user-mode-linux (6.5um1) unstable; urgency=medium

  * [e3ad3d9] Prepare for Linux 6.5
  * [154fcd8] Update UML configurations to Linux 6.5

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 16 Nov 2023 19:35:37 +0530

user-mode-linux (6.4um1) unstable; urgency=medium

  * [562517a] Prepare for UML 6.4 (Closes: #1042126)
  * [28b87b9] Update UML configs for Linux 6.4

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 28 Jul 2023 19:24:31 +0530

user-mode-linux (6.3um1) unstable; urgency=medium

  * [92ab76c] Prepare for Linux 6.3
  * [de14c98] Update UML config files to 6.3. Disable support for VDE and 
    PCAP networking drivers. These drivers have been marked `obsolete` by
    upstream for a while now. And the VDE driver fails to build on i386
    architecture. (Closes: #1040431)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 14 Jul 2023 21:46:40 +0530
