=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: User Mode Linux Maintainers <team+uml@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), quilt, linux-source-6.1, python3-docutils, xz-utils, m4, kmod, libvdeplug-dev | libvdeplug2-dev, libpcap-dev, bc, dpkg (>= 1.16.2), libssl-dev, bison, flex, gcc-multilib
+Build-Depends: debhelper-compat (= 13), quilt, linux-source-6.12, python3-docutils, xz-utils, m4, kmod, libvdeplug-dev | libvdeplug2-dev, libpcap-dev, bc, dpkg (>= 1.16.2), libssl-dev, bison, flex, gcc-multilib
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
