=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 config_target:=oldconfig
-kernel_version:=6.1
+kernel_version:=6.12
 kernel_src:=linux-source-$(kernel_version)
 BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W linux-source-$(kernel_version))
 debian:=$(CURDIR)/debian
@@ -15,6 +15,12 @@
 DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 #SUBARCH?=$(shell uname -m)
 DEB_BUILD_OPTIONS ?= "parallel=$(shell getconf _NPROCESSORS_ONLN)"
+
+ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
+	SUBARCH := x86_64
+else
+	SUBARCH := $(DEB_HOST_ARCH)
+endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 KBUILDVARS := CFLAGS_KERNEL=-O1
@@ -31,18 +37,13 @@
 copy-config:
 	cp config.$(DEB_HOST_ARCH) $(kernel_src)/.config
 
-oldconfig32: unpack copy-config
-	make -C $(kernel_src) oldconfig ARCH=um SUBARCH=i386
-	cp config.i386 config.i386.oldconfig.old
-	cp $(kernel_src)/.config config.i386
-
-oldconfig64: unpack copy-config
-	make -C $(kernel_src) oldconfig ARCH=um SUBARCH=x86_64
-	cp config.amd64 config.amd64.oldconfig.old
-	cp $(kernel_src)/.config config.amd64
+oldconfig: unpack copy-config
+	make -C $(kernel_src) oldconfig ARCH=um SUBARCH=$(SUBARCH)
+	cp config.$(DEB_HOST_ARCH) config.$(DEB_HOST_ARCH).oldconfig.old
+	cp $(kernel_src)/.config config.$(DEB_HOST_ARCH)
 
 menuconfig: unpack copy-config
-	make -C $(kernel_src)  menuconfig ARCH=um
+	make -C $(kernel_src)  menuconfig ARCH=um SUBARCH=$(SUBARCH)
 	cp config.$(DEB_HOST_ARCH) config.$(DEB_HOST_ARCH).menuconfig.old
 	cp $(kernel_src)/.config config.$(DEB_HOST_ARCH)
 
@@ -69,7 +70,7 @@
 configure-stamp: patch-stamp $(kernel_src)/.config
 	dh_testdir
 
-	$(MAKE) -C $(kernel_src) $(config_target) ARCH=um
+	$(MAKE) -C $(kernel_src) $(config_target) ARCH=um SUBARCH=$(SUBARCH)
 
 	touch $@
 
@@ -81,7 +82,7 @@
 build-stamp: configure
 	dh_testdir
 
-	$(MAKE) -C $(kernel_src) $(KBUILDVARS) linux modules ARCH=um
+	$(MAKE) -C $(kernel_src) $(KBUILDVARS) linux modules ARCH=um SUBARCH=$(SUBARCH)
 	rst2man -gdt < $(kernel_src)/Documentation/virt/uml/user_mode_linux_howto_v2.rst > linux.uml.1
 
 	touch $@
@@ -115,6 +116,7 @@
 
 	$(MAKE) -C $(kernel_src) modules_install \
 		ARCH=um \
+		SUBARCH=$(SUBARCH) \
 		INSTALL_MOD_PATH=$(tmpmodules) \
 		INSTALL_MOD_STRIP=$(MODSTRIP)
