## user-mode-linux 6.16um1

=== debian/changelog ===
user-mode-linux (6.16um1) unstable; urgency=medium

  * [8bc4667] Prepare for UML 6.16 (Closes: 1115570)
  * [bb80399] Update UML configs to Linux 6.16

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 29 Sep 2025 14:02:21 +0530
