## user-mode-linux 6.18um1

=== debian/changelog ===
user-mode-linux (6.18um1) unstable; urgency=medium

  * [e838439] Prepare UML 6.18 (Closes: 1122533)
  * [21c5f6b] Update UML configs to Linux 6.18

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 27 Jan 2026 17:36:13 +0530
